#pragma once

#include <maps/libs/vault_boy/include/secrets.h>
#include <yandex/maps/wiki/common/extended_xml_doc.h>

#include <memory>
#include <string>

namespace maps::wiki::common {

std::unique_ptr<ExtendedXmlDoc> loadDefaultConfig();

std::unique_ptr<ExtendedXmlDoc> loadDefaultConfigFromResource(
    const std::string& environment,
    const vault_boy::Context& context);

std::string getCoreDbPassword(const ExtendedXmlDoc& config);

} // namespace maps::wiki::common
